Bug 216634 - Glyphs for two combinations are wrong in Gujarati (gu_IN)
Glyphs for two combinations are wrong in Gujarati (gu_IN)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag Nemade
: i18n
Depends On: 214139
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 04:45 EST by Parag Nemade
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 04:33:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2006-11-21 04:45:01 EST
+++ This bug was initially created as a clone of Bug #214139 +++

Description of problem:
Following two combinations render wrong glyph.
1. U+0AA6 U+0ACD U+0A97
2. U+0AB7 U+0ACD U+0AB0

Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:
1. Open gedit
2. Type the given combinations
3. See the results
  
Actual results:
Give wrong shape for the combination

Expected results:
Give right shape for the combination

Additional info:

-- Additional comment from ankit@redhat.com on 2006-11-06 02:12 EST --
Created an attachment (id=140437)
Image file for the first combination which shows what's correct & what's wrong


-- Additional comment from ankit@redhat.com on 2006-11-06 02:13 EST --
Created an attachment (id=140438)
Image file for the second combination which shows what's correct & what's wrong


-- Additional comment from ankit@redhat.com on 2006-11-07 07:23 EST --
One more combination has been found which gives the wrong shape. And the
combination is as follows :
U+0AA6 U+0ACD U+0AAD

Can you please have a look at it too?

-- Additional comment from pnemade@redhat.com on 2006-11-09 05:53 EST --
Created an attachment (id=140753)
Removed some unwanted combinations from Gujarati Font


-- Additional comment from pnemade@redhat.com on 2006-11-09 05:54 EST --
thanks to Rahul for helping me for fontforge help

-- Additional comment from pnemade@redhat.com on 2006-11-09 06:28 EST --
Created an attachment (id=140757)
Resubmitting patch (with less size) 

Removed some unwanted combinations from Gujarati Font.
Comment 1 Parag Nemade 2007-01-04 04:33:52 EST
Built and tested in fonts-gujarati-2.0.8-1

Note You need to log in before you can comment on or make changes to this bug.